Skip to main content
POST
Cancel job

Authorizations

Authorization
string
header
required

A workspace API key.

Path Parameters

jobId
string
required

Job id returned by an asynchronous capability; must belong to this workspace.

Required string length: 1 - 200

Body

application/json
reason
string

Optional human-readable reason recorded for footage edits and media analysis. Render and asset jobs record a generic cancellation.

Maximum string length: 500
{key}
any

Response

Success.

success
boolean
required
jobId
string
required
kind
enum<string>
required
Available options:
video.render,
asset.animate,
video.edit,
media.analysis
status
enum<string>
required
Available options:
queued,
rendering,
awaiting_review,
done,
cancelled,
failed,
qa_failed
cancelRequestedAt
string | null
{key}
any